Subject: [PATCH v2 1/6] phy: miphy365x: Use the generic phy type constants in dt-bindings/phy/phy.h

From: [email-masked] (Lee Jones)
Date: Wed, 1 Apr 2015 08:15:01 +0100

On Tue, 31 Mar 2015, Maxime Coquelin wrote:

> Hi Kishon,
> On 03/31/2015 05:30 PM, Kishon Vijay Abraham I wrote:
> >Maxime,
> >
> >On Tuesday 31 March 2015 01:10 PM, Lee Jones wrote:
> >>On Tue, 31 Mar 2015, Kishon Vijay Abraham I wrote:
> >>
> >>>Hi Patrice, Maxime,
> >>>
> >>>On Monday 30 March 2015 08:47 PM, Peter Griffin wrote:
> >>>>Now there are generic phy type constants declared in phy.h,
> >>>>migrate over to
> >>>>using them rather than defining our own. This change has
> >>>>been done as one
> >>>>atomic commit to be bisectable.
> >>>>
> >>>>Note: The values of the defines are the same, so there is no
> >>>>ABI breakage
> >>>>with this patch.
> >>>>
> >>>>Signed-off-by: Peter Griffin <[email-masked]>
> >>>>Acked-by: Rob Herring <[email-masked]>
> >>>>Acked-by: Lee Jones <[email-masked]>
> >>>
> >>>Are you okay for this patch to go via PHY tree? It modifies
> >>>arch/arm/boot/dts
> >>>/stih416.dtsi.
> >>
> >>These files need to be changed simultaneously in order to prevent
> >>breakage during bisection and the like.  I think the best bet moving
> >>forward is to pull this into its own branch, tag it and send Maxime a
> >>pull-request to the immutable branch.  It's the best way to minimise
> >>merge conflicts during the v4.1 merge window.
> >
> >okay. I still need an Ack from Maxime.
> 
> You have my Ack.
> 
> I haven't sent a pull request for STi DT files for v4.1 now, and it
> is too late to send one.
> So creating an immutable tag is not even needed in my opinion, you
> can just take the DT patch.

Kishon,

I saw that you took the MAINTAINERS patch, but not this one.  If it's
because you are still unsure about it, I agree with Maxime, you can
just take this patch without fear of conflict.

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog